This file is a summary of all the changes in the graphical ressource
files :
	- $FGLDIR/etc/canvas.tcl
	- $FGLDIR/etc/rsdialog.tcl
	- $FGLDIR/etc/fgl2c.tcl and $FGLDIR/etc/fgl2c.res

==============================================================================
[1] CHANGES in file canvas.tcl
------------------------------

Version 1.10 ( Fri Apr  3 17:11:46 MET DST 1998 )
-- DrawClear() is fixed
-- Lines takes the color set by DrawFillColor("color"). Use the
   DisableColorLines(1) function to force color of all the lines
   to black.

==============================================================================
[2] CHANGES in file fgl2c.tcl (and fgl2c.res)
-------------------------------------------

Version 3.00.1a (Sun Mar 15 15:26:38 MET 1998)
-- new widgetname call
-- fixed several bugs in local editing
-- client redraw
-- manage of taskId argument in function fgl_Retrieve
-- work-around for bug focus with flatwin

Version 3.00.1b (Sun Mar 15 23:34:50 MET 1998)
-- invisible empty label buttons
   (in fglprofile, gui.empty.button.invisible=[1|0])
-- clear X selection in listbox when focus is out

Version 3.00.1c (Mon Mar 16 13:19:20 MET 1998)
-- rename class FglLabelError to FglError
-- remove class FglLabelAt

Version 3.00.1d (Thu Mar 19 15:40:08 MET 1998)
-- fgl_Wait now supports asynchronic clients
-- free more element of _task (pid are reuse on N.T!)

Version 3.00.1e (Fri Mar 27 19:31:09 MET 1998)
-- new ressource gui.preventClose.message (default cannot be stop)
-- "constant" name of toplevel (.grp0, .grp1, ...) and task (.grp0.ta1,...)

Version 3.00.1f ( Sun Mar 29 18:57:19 MET DST 1998 )
-- The task is in "wait mode" only if no keys are stored (waiting to be send).
   (modification in fgl_Wait)
-- set dpyChannel before call of intern function for LocalEditing
-- correction in prompt function to set the correct line
-- change bind of FglButtonKey Class (accept keyboard key)
-- never ending story with focus problem:
     Recall: grp2Focus stores the current focus of a task.
     Problem: imagine task 1 and task 2:
        - gr2Focus(1) is grp0.tab0
        - gr2Focus(2) is grp1.tab0.bf.mf2 (a button in task frame)
     (Normally, grp2Focus element is grp2Focus(.grp0.tab0) and so on,
      but this example is only to unterstand the problem).
     You go in task 1, work with this task. At the same time in task 2,
     .grp1.tab0.bf.mf2 is destroyed (new dialog, end of sleep,...)
     Now, you go back in task 2.  So, focusin function tries to put
     the focus on .grp1.tab0.bf.mf2, doesn't success and let the focus to the
     old one ------> task 1 still have the focus and all hitting keys are
     in task 1, but the task 2 is actived !!!
     To solve this problem, if the grp2Focus widget doesn't exist anymore,
     we put the focus on the FrameTask (_task($id,TaskRoot)).
     Introduce FglNameToId: like w2id function but doesn't verify existing of
     the widget passed by parameter.

Version 3.01.1a ( Thu Apr  2 09:51:40 MET DST 1998 )
-- displayAt label have now FglLabelAt class: solve a problem of redraw
-- Focus aquisition for the RADIO and CHECK widget is fixed: 
      If you click on a radio or check button, this button is not
      invoke if a trigger of a previous field block the focus. 
-- A new ressource is added into the FGLPROFILE :
      gui.key.radiocheck.invokeexit
   This ressource specify the name of a key which pressed when the focus
   is on a radio or a check button, press the button and go to the next
   field. The default value is set to "Return". It can also be set to ""
   (empty string).
-- scroll option, the work around for the focus bug of wtk 1.40 (see in
   function myFocus ) must be disable. Else, the scroll option doesn't run.
-- add fglTimeOn in end of TaskOpen (a watch cursor until a "fgl_wait" arrives)
-- In X11, bind of Task from glResize is reinitialize when we redraw
-- initialization values in EntryCreate and ListCreate are now set to ""
-- fglEditLocalError: when you arrive in a field with local editing, you can
   a error line filled. We need to clear it after the first key for hit.
-- LocalEdit: now, we use the same array element for entry and listbox
-- LocalEdit: buffer is send only when it is needed
-- Radio&check buttons: The focus is not send to the next field if you
   use a button out of a input statement. Now if you want to use
   a Radio/check button out of a input statement you must use a class="key"
   type of widget only.

Version 3.01.1b ( Wed Apr 22 15:09:11 MET DST 1998 )

-- sockSelect was not call in some situation after a update

Version 3.01.1c ( Mon May  4 11:51:40 MET DST 1998 )

-- entry are now in normal state after the calling of function fgl_EntryState
   in the case of "State="Active"
-- button "..." gives a problem after a close of a another applications
-- BUTTON class had a problem widget name !!?!?!

Version 3.01.1d ( Wed Jun 24 14:46:03 MET DST 1998 )

-- problem of Top window with menu comment

Version 3.01.1e ( Wed Jul  8 13:40:40 MET DST 1998 )

-- problem with default attribute of error, now FglError.background is
   use if attributes are reverse (default attribute of a error)

Version 3.01.1f ( Mon Jul 27 10:23:30 MET DST 1998 )
-- problem of string compare in function fgl_DisplayAt (integer value too large)

Version 3.01.1g ( Fri Aug 14 11:53:25 MET DST 1998 )
-- Mouse position and Keypress can activate some event of hidden widget

Version 3.01.1h ( Wed Aug 26 15:55:50 MET DST 1998 )
-- if a button for key XX exists on the buttonframe and you want to recreate,
   it changes the button with the new label. Before, he has done nothing.

Version 3.05.1a ( Tue Nov 17 15:16:05 MET 1998 )
-- folder implementations

Version 3.05.1b ( Tue Nov 24 02:19:03 MET 1998 )
-- stop local editing if user raise a folder
